Subject: Caudiciform Seeds

From: [email-masked] (Larry Rubanka)
Date: 26 Mar 1995 19:51:38 GMT

Try these folks:

Highland Succulents, 1446 Bear Run Road, Gallipolis, OH 45631, USA, (614) 
256-1428

Rare Plant Research, 14245 S. E. Harold, Portland, OR 97236, $2 catalog

** Madagaskar Plants & Seeds, S. Hofstatter, D-71272 Renningen, 
Jahnstrasse 22, Germany

Cacti & Tillandsia Seeds, G. Kohres, Wingertstrasse 33, D-64387 
Erzhausen/Darmstadt, Germany

I've got a number of other sources, catalogs, and journals etc.

I'm very interested in Succulent plants, Caudiciforms in particular.  
I've been collecting specimines and literature for three years now.  200+ 
specimines in my collection.

rsvp